Index: /extensions/photoWidget/language/cs_CZ/index.php
===================================================================
--- /extensions/photoWidget/language/cs_CZ/index.php	(revision 6834)
+++ /extensions/photoWidget/language/cs_CZ/index.php	(revision 6834)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/photoWidget/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/cs_CZ/plugin.lang.php	(revision 6834)
+++ /extensions/photoWidget/language/cs_CZ/plugin.lang.php	(revision 6834)
@@ -0,0 +1,38 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | photoWidget  - a plugin for Piwigo                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = 'Tento plugin zobrazuje fotky jako flash film co rotuje s 3D efektem. Funfuje jako normální kategorie, ale trochu zajímavìji a zábavnìjí formou.';
+$lang['You can choose that mode for displaying one, severals or all categories'] = 'Mùete vybrat reim pro zobrazení jedné, nìkolika nebo vechny kategorie';
+$lang['Main configuration'] = 'Hlavní konfigurace';
+$lang['All categories'] = 'Vechny kategorie';
+$lang['Applicable categorie(s)'] = 'Pouitelné kategorie';
+$lang['Animation size'] = 'Velikost animace';
+$lang['Animation background color'] = 'Barva pozadí animace';
+$lang['Color'] = 'Barva';
+$lang['You choose that mode for'] = 'Zvolit reim pro';
+$lang['one category'] = 'jedna kategorie';
+$lang['all categories'] = 'vechny kategorie';
+$lang['severals categories'] = 'nìkolik kategorií';
+$lang['Width has been updated'] = 'íøka byla zmìnìna';
+$lang['Height has been updated'] = 'Výka byla zmìnìna';
+$lang['Background color of animation has been updated'] = 'Barva pozadí animace byla aktualizována';
+$lang['This widget requires Flash Player 9 or better'] = 'Tento widget potøebuje Flash Player 9 a novìjí';
+?>