Index: /extensions/photoWidget/language/it_IT/index.php
===================================================================
--- /extensions/photoWidget/language/it_IT/index.php	(revision 6838)
+++ /extensions/photoWidget/language/it_IT/index.php	(revision 6838)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/photoWidget/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/it_IT/plugin.lang.php	(revision 6838)
+++ /extensions/photoWidget/language/it_IT/plugin.lang.php	(revision 6838)
@@ -0,0 +1,39 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | photoWidget  - a plugin for Piwigo                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = 'Questo plugin visualizza e ruota le immagini  in 3D usando un filmato flash. Funziona come le abituali categorie ma in modo sorprendente e accattivante.';
+$lang['You can choose that mode for displaying one, severals or all categories'] = 'È possibile di scegliere la modalità di visualizzazione su una, alcune o tutte le categori';
+$lang['Main configuration'] = 'Configurazione principale';
+$lang['All categories'] = 'Tutte le categorie';
+$lang['Applicable categorie(s)'] = 'Categoria(e) applicabile';
+$lang['Animation size'] = 'Dimensioni dell\'animazione';
+$lang['Animation background color'] = 'Colore di sfondo dell\'animazione';
+$lang['Color'] = 'Colore';
+$lang['You choose that mode for'] = 'Puoi scegliere questo modello per';
+$lang['one category'] = 'una categoria';
+$lang['all categories'] = 'tutte le categorie';
+$lang['severals categories'] = 'qualche categoria';
+$lang['Width has been updated'] = 'La larghezza è stata aggiornata';
+$lang['Height has been updated'] = 'L\'altezza è stata aggiornata';
+$lang['Background color of animation has been updated'] = 'Il colore di sfondo dell\'animazione è stato aggiornato';
+$lang['This widget requires Flash Player 9 or better'] = 'Questa widget richiede Flash Player 9 o superiore';
+
+?>