Index: extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/service/ImageService.java
===================================================================
--- extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/service/ImageService.java	(revision 6839)
+++ extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/service/ImageService.java	(revision 6840)
@@ -77,5 +77,5 @@
      */
     public boolean creer(String filePath, Integer idCategory) throws Exception {
-	MainFrame.getInstance().setReussiteMessage(Messages.getMessage("mainFrame_resizing"));
+	MainFrame.getInstance().setReussiteMessage(Messages.getMessage("mainFrame_resizing") + " " + filePath);
 	//get the byte array of the original file, to keep metadata
 	byte[] bytesFichierOriginal = Outil.getBytesFromFile(new File(filePath));
@@ -98,5 +98,5 @@
 	    //I use here a try catch because if the original file isn't a jpeg
 	    //the methode Outil.enrich will fail, but the procedure has to continue
-	    MainFrame.getInstance().setReussiteMessage(Messages.getMessage("mainFrame_addMetadata"));
+	    MainFrame.getInstance().setReussiteMessage(Messages.getMessage("mainFrame_addMetadata") + " " + filePath);
 	    try {
 		byte[] fichierEnrichi = Outil.enrich(bytesFichierOriginal, Outil.getBytesFromFile(new File(System
@@ -115,5 +115,5 @@
 	image.setOriginale(originale);
 	image.setIdCategory(idCategory);
-	MainFrame.getInstance().setReussiteMessage(Messages.getMessage("mainFrame_sendingFiles"));
+	MainFrame.getInstance().setReussiteMessage(Messages.getMessage("mainFrame_sendingFiles") + " " + filePath);
 	//now we call the dao to send the image to the webservice
 	return ImageDao.getInstance().creer(image);
Index: extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/session/SessionManager.java
===================================================================
--- extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/session/SessionManager.java	(revision 6839)
+++ extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/session/SessionManager.java	(revision 6840)
@@ -2,4 +2,5 @@
 
 import java.io.IOException;
+import java.io.InputStream;
 
 import javax.swing.JOptionPane;
@@ -125,5 +126,8 @@
 	try {
 	    client.executeMethod(method);
-	    String toReturn = method.getResponseBodyAsString();
+	    InputStream streamResponse = method.getResponseBodyAsStream();
+	    //	    System.out.println(Outil.readInputStreamAsString(streamResponse));
+	    //	    String toReturn = method.getResponseBodyAsString();
+	    String toReturn = Outil.readInputStreamAsString(streamResponse);
 	    LOG.debug(toReturn);
 	    return toReturn;
Index: extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/util/Outil.java
===================================================================
--- extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/util/Outil.java	(revision 6839)
+++ extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/util/Outil.java	(revision 6840)
@@ -1,8 +1,7 @@
 package fr.mael.jiwigo.transverse.util;
 
-import java.io.BufferedInputStream;
+import java.io.BufferedReader;
 import java.io.ByteArrayInputStream;
 import java.io.ByteArrayOutputStream;
-import java.io.DataInputStream;
 import java.io.File;
 import java.io.FileInputStream;
@@ -10,4 +9,5 @@
 import java.io.IOException;
 import java.io.InputStream;
+import java.io.InputStreamReader;
 import java.io.PrintWriter;
 import java.io.StringReader;
@@ -76,12 +76,22 @@
      */
     public static String readInputStreamAsString(InputStream input) throws IOException {
-	DataInputStream dis = new DataInputStream(new BufferedInputStream(input));
-
-	String temp;
-	StringBuffer buffer = new StringBuffer();
-	while ((temp = dis.readLine()) != null) {
-	    buffer.append(temp);
-	}
-	return buffer.toString();
+	//	DataInputStream dis = new DataInputStream(new BufferedInputStream(input));
+	//
+	//	String temp;
+	//	StringBuffer buffer = new StringBuffer();
+	//	while ((temp = dis.readLine()) != null) {
+	//	    buffer.append(temp);
+	//	}
+	//	return buffer.toString();
+	StringWriter writer = new StringWriter();
+	InputStreamReader streamReader = new InputStreamReader(input);
+	//le buffer permet le readline
+	BufferedReader buffer = new BufferedReader(streamReader);
+	String line = "";
+	while (null != (line = buffer.readLine())) {
+	    writer.write(line);
+	}
+	// Sortie finale dans le String
+	return writer.toString();
     }
 
Index: extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages.properties
===================================================================
--- extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages.properties	(revision 6839)
+++ extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages.properties	(revision 6840)
@@ -17,7 +17,7 @@
 mainFrame_editionMenu=Edition
 mainFrame_preferencesMenu=Preferences
-mainFrame_resizing=Resizing...
-mainFrame_addMetadata=Adding metadata...
-mainFrame_sendingFiles=Sending files...
+mainFrame_resizing=Resizing for
+mainFrame_addMetadata=Adding metadata for
+mainFrame_sendingFiles=Sending files for
 
 #####################################################
Index: extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_fr.properties
===================================================================
--- extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_fr.properties	(revision 6839)
+++ extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_fr.properties	(revision 6840)
@@ -17,7 +17,7 @@
 mainFrame_editionMenu=Edition
 mainFrame_preferencesMenu=Préférences
-mainFrame_resizing=Redimensionnements...
-mainFrame_addMetadata=Ajout des métadonnées...
-mainFrame_sendingFiles=Envoi des fichiers...
+mainFrame_resizing=Redimensionnements pour
+mainFrame_addMetadata=Ajout des métadonnées pour
+mainFrame_sendingFiles=Envoi des fichiers pour
 
 #####################################################
Index: extensions/jiwigo/trunk/src/main/resources/log4j.xml
===================================================================
--- extensions/jiwigo/trunk/src/main/resources/log4j.xml	(revision 6839)
+++ extensions/jiwigo/trunk/src/main/resources/log4j.xml	(revision 6840)
@@ -23,5 +23,5 @@
 	<!-- Déclaration loggers -->
 	<logger name="fr.mael.jiwigo" additivity="false">
-		<level value="DEBUG" />
+		<level value="INFO" />
 		<appender-ref ref="console" />
 		<appender-ref ref="fichier" />