Index: extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/util/Messages.java
===================================================================
--- extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/util/Messages.java	(revision 6841)
+++ extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/util/Messages.java	(revision 6842)
@@ -1,4 +1,5 @@
 package fr.mael.jiwigo.transverse.util;
 
+import java.util.Locale;
 import java.util.ResourceBundle;
 
@@ -34,4 +35,6 @@
 public class Messages {
 
+    public static Locale usedLocale = Locale.getDefault();
+
     /**
      * Recuperation d'un message
@@ -40,5 +43,5 @@
      */
     public static String getMessage(String key) {
-	return ResourceBundle.getBundle("fr.mael.jiwigo.trad.messages").getString(key);
+	return ResourceBundle.getBundle("fr.mael.jiwigo.trad.messages", usedLocale).getString(key);
     }
 
Index: extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/ConnexionDialog.java
===================================================================
--- extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/ConnexionDialog.java	(revision 6841)
+++ extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/ConnexionDialog.java	(revision 6842)
@@ -7,7 +7,17 @@
 import java.awt.event.ActionEvent;
 import java.awt.event.ActionListener;
-
+import java.awt.event.ItemEvent;
+import java.awt.event.ItemListener;
+import java.awt.event.KeyEvent;
+import java.awt.event.KeyListener;
+import java.text.SimpleDateFormat;
+import java.util.Arrays;
+import java.util.Locale;
+
+import javax.swing.AbstractListModel;
+import javax.swing.ComboBoxModel;
 import javax.swing.JButton;
 import javax.swing.JCheckBox;
+import javax.swing.JComboBox;
 import javax.swing.JDialog;
 import javax.swing.JLabel;
@@ -51,5 +61,5 @@
  * Dialog de connexion au site
  */
-public class ConnexionDialog extends JDialog implements ActionListener {
+public class ConnexionDialog extends JDialog implements ActionListener, ItemListener, KeyListener {
     /**
      * Logger
@@ -92,10 +102,17 @@
 
     /**
+     * Combo containing all locales
+     */
+    private JComboBox comboLocales;
+
+    /**
      * Constructeur 
      */
     public ConnexionDialog() {
+	Locale defautLocale = Messages.usedLocale;
 	labelUrl = new JLabel(Messages.getMessage("connexionDialog_urlSite"));
 	labelLogin = new JLabel(Messages.getMessage("connexionDialog_login"));
 	labelPass = new JLabel(Messages.getMessage("connexionDialog_pass"));
+	comboLocales = new JComboBox();
 	boutonOk = new JButton("Ok");
 	String url = PreferencesManagement.getValue(PreferencesEnum.URL_SITE.getLabel());
@@ -111,6 +128,9 @@
 	Dimension fieldDimensions = new Dimension(300, 30);
 	fieldUrl.setPreferredSize(fieldDimensions);
+	fieldUrl.addActionListener(this);
 	loginField.setPreferredSize(fieldDimensions);
+	loginField.addActionListener(this);
 	passwordField.setPreferredSize(fieldDimensions);
+	passwordField.addActionListener(this);
 	this.getContentPane().setLayout(new GridBagLayout());
 	GridBagConstraints constraints = new GridBagConstraints();
@@ -133,7 +153,18 @@
 	constraints.gridx = 0;
 	constraints.gridy++;
+	this.getContentPane().add(comboLocales, constraints);
+	constraints.gridx++;
+	this.getContentPane().add(checkBoxRetenir, constraints);
+	constraints.gridx = 0;
+	constraints.gridy++;//  
+	//	for (Locale locale : SimpleDateFormat.getAvailableLocales()) {
+	//	    comboLocales.addItem(locale.getDisplayName(Locale.ENGLISH));
+	//	}
+	comboLocales.setPreferredSize(new Dimension(130, 25));
+	comboLocales.addItemListener(this);
+	localeModel model = new localeModel();
+	comboLocales.setModel(model);
+	model.setSelectedItem(defautLocale.getDisplayLanguage(Locale.ENGLISH));
 	this.getContentPane().add(boutonOk, constraints);
-	constraints.gridx++;
-	this.getContentPane().add(checkBoxRetenir, constraints);
 	boutonOk.setPreferredSize(new Dimension(80, 30));
 	boutonOk.addActionListener(this);
@@ -173,4 +204,5 @@
 			.getMessage("error"), JOptionPane.ERROR_MESSAGE);
 	    } else {
+		//		Locale.setDefault((Locale) comboLocales.getSelectedItem());
 		Main.showFrame();
 		//on cache le dialog de connexion
@@ -179,3 +211,71 @@
 	}
     }
+
+    /**
+     * @author mael
+     * Internal class that represents the modal of the combobox that allows
+     * to choose a locale
+     */
+    class localeModel extends AbstractListModel implements ComboBoxModel {
+	Locale[] locales = SimpleDateFormat.getAvailableLocales();
+	String[] localesNames;
+
+	String selection = null;
+
+	public localeModel() {
+	    localesNames = new String[locales.length];
+	    int compteur = 0;
+	    for (Locale locale : locales) {
+		localesNames[compteur] = locale.getDisplayName(Locale.ENGLISH);
+		compteur++;
+	    }
+	    Arrays.sort(localesNames);
+	}
+
+	public Object getElementAt(int index) {
+	    return localesNames[index];
+	}
+
+	public int getSize() {
+	    return locales.length;
+	}
+
+	public void setSelectedItem(Object anItem) {
+	    selection = (String) anItem;
+	}
+
+	public Object getSelectedItem() {
+	    if (selection != null)
+		return selection;
+	    else
+		return null;
+	}
+    }
+
+    @Override
+    public void itemStateChanged(ItemEvent paramItemEvent) {
+	for (Locale locale : SimpleDateFormat.getAvailableLocales()) {
+	    if (locale.getDisplayName(Locale.ENGLISH).equals(paramItemEvent.getItem())) {
+		Messages.usedLocale = locale;
+		dispose();
+		ConnexionDialog dial = new ConnexionDialog();
+		dial.showDialog();
+
+	    }
+
+	}
+    }
+
+    @Override
+    public void keyPressed(KeyEvent arg0) {
+    }
+
+    @Override
+    public void keyReleased(KeyEvent arg0) {
+
+    }
+
+    @Override
+    public void keyTyped(KeyEvent arg0) {
+    }
 }
Index: extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages.properties
===================================================================
--- extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages.properties	(revision 6841)
+++ extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages.properties	(revision 6842)
@@ -68,5 +68,5 @@
 connexionDialog_emptyField=You must fill all field
 connexionDialog_connexionError=<html><center>Error<br/>Check the fields<br/>(The url must contain "http://")</center></html>
-connexionDialog_sauvegarder=<html><center>Sauvegarder les informations.<br/> <u>Attention</u> Les informations sont stockées<br/> en clair sur votre ordinateur.</center></html>
+connexionDialog_sauvegarder=<html><center>Save informations.<br/> <u>Warning</u> This informations <br/>are not encrypted</center></html>
 
 #####################################################
Index: extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_en.properties
===================================================================
--- extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_en.properties	(revision 6842)
+++ extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_en.properties	(revision 6842)
@@ -0,0 +1,87 @@
+#####################################################
+#################### General ########################
+#####################################################
+error=Error
+welcomeMessage=Welcome to Jiwigo
+version=0.11b
+commentaires=Comments
+loading=Loading...
+titleBrowser=Jiwigo :: Files browser
+cancel=Cancel
+hits=Hits
+loadingOk=Loading ok
+
+#####################################################
+################### Main Frame ######################
+#####################################################
+mainFrame_editionMenu=Edition
+mainFrame_preferencesMenu=Preferences
+mainFrame_resizing=Resizing for
+mainFrame_addMetadata=Adding metadata for
+mainFrame_sendingFiles=Sending files for
+
+#####################################################
+################## Preferences ######################
+#####################################################
+preferences_tabImage=Images
+preferences_imagesSize=Images size
+preferences_chunkSize=Chunks size (Mb)
+
+#####################################################
+############### Thumbnail viewer ####################
+#####################################################
+thumbviewer_loading=Loading thumbnails. Please wait...
+
+#####################################################
+#################### Errors  ########################
+#####################################################
+sendingError=Error sending
+categoryCreationError=Error creating category
+emptyCommentError=Unable to send an empty comment
+addCommentError=Error adding the comment
+treeCreationError=Error creating categories tree
+commentListingError=Error getting comments
+imagesListingError=Error getting images
+configDefaultCreation=Error creating default configuration files
+preferencesCheckValues=Please check the values
+preferencesUnexpectedError=<html>An unexpected error happened. Preferences won't be updated</html>
+
+#####################################################
+#################### Success ########################
+#####################################################
+sendingSuccess=Sending success
+
+#####################################################
+#################### Categories######################
+#####################################################
+categories_add=Add a category
+categories_update=Refresh
+categories_enterName=Fill the category name
+
+
+#####################################################
+############### Connection dialog ###################
+#####################################################
+connexionDialog_urlSite=Site url
+connexionDialog_login=Login
+connexionDialog_pass=Password
+connexionDialog_emptyField=You must fill all field
+connexionDialog_connexionError=<html><center>Error<br/>Check the fields<br/>(The url must contain "http://")</center></html>
+connexionDialog_sauvegarder=<html><center>Save informations.<br/> <u>Warning</u> This informations <br/>are not encrypted</center></html>
+
+#####################################################
+################ Images browser #####################
+#####################################################
+imageBrowser_file=File
+imageBrowser_display=Display
+imageBrowser_image=Image
+imageBrowser_save=Save as
+imageBrowser_print=Print
+imageBrowser_close=Close
+imageBrowser_zoomPlus=Zoom +
+imageBrowser_zoomMoins=Zoom -
+imageBrowser_zoomNormal=Original size
+imageBrowser_flipH=Horizontal flip
+imageBrowser_flipV=Vertical flip
+imageBrowser_rotationL=Rotate to left
+imageBrowser_rotationR=Rotate to right