Index: extensions/albums/language/es_ES/plugin.lang.php
===================================================================
--- extensions/albums/language/es_ES/plugin.lang.php	(revision 6849)
+++ extensions/albums/language/es_ES/plugin.lang.php	(revision 6849)
@@ -0,0 +1,90 @@
+<?php
+$lang['%d category including'] = '%d àlbum dont';
+$lang['%d categories including'] = '%d àlbumes dont';
+$lang['%d category moved'] = '%d àlbum movido';
+$lang['%d categories moved'] = '%d àlbumes movidos';
+$lang['Apply to subcategories'] = 'Appliquer a los sub-àlbumes';
+$lang['Association to categories'] = 'Association aux àlbumes';
+$lang['Categories authorized thanks to group associations'] = 'Albums accessibles grâce à l\'appartenance aux groupes';
+$lang['Categories manual order was saved'] = 'El orden manual de los albumes se guardo con exito';
+$lang['Category elements associated to the following categories: %s'] = 'Les fotos del àlbum fueron asociados a los àlbumes siguientes : %s';
+$lang['Link all category elements to a new category'] = 'Asociar  todas las fotos del àlbum a un nuevo àlbum';
+$lang['Link all category elements to some existing categories'] = 'Asociar  todas las fotos del àlbum a los àlbumes existantes';
+$lang['Linked categories'] = 'Albums asociados';
+$lang['Manage permissions for a category'] = 'Administrar los derechos de un àlbum';
+$lang['Move categories'] = 'Mover los àlbumes';
+$lang['New parent category'] = 'Nuevo àlbum parent';
+$lang['Only private categories are listed'] = 'Listado de los abulmes privados';
+$lang['Other private categories'] = 'Otros àlbumes privados';
+$lang['Parent category'] = 'Album parent';
+$lang['Permalink %s has been previously used by category %s. Delete from the permalink history first'] = 'El enlace permanente %s se utilizo par elàlbum %s. Borrarlo del historico de los enlaces permanentes';
+$lang['Permalink %s is already used by category %s'] = 'El enlace permanente %s ya se utilizo par el àlbum %s';
+$lang['Representation of categories'] = 'Représentacion de los àlbumes';
+$lang['Select at least one category'] = 'seleccionar al minimo un àlbum';
+$lang['Storage category'] = 'Album de stockage';
+$lang['Virtual categories movement'] = 'Movida de los àlbumes virtuales';
+$lang['Virtual categories to move'] = 'Albums virtuales para mover';
+$lang['Virtual category name'] = 'Nombre del àlbum virtual';
+$lang['You cannot move a category in its own sub category'] = 'No se puede mover un àlbum en  su proprio sub-àlbum';
+$lang['associate to category'] = 'Asociar al àlbum';
+$lang['Add a virtual category'] = 'Agregar un àlbum virtual';
+$lang['Authorize users to add comments on selected categories'] = 'Autorizar los usuarios à añadir commentarios a los àlbumes sélectionados';
+$lang['The name of a category should not be empty'] = 'El nombre del àlbum no se puede quedar vacio';
+$lang['Lock categories'] = 'Bloquear los àlbumes';
+$lang['Private category'] = 'Album privado';
+$lang['Public category'] = 'Album publico';
+$lang['Manage authorizations for selected categories'] = 'Administrar los acesos para los àlbumes selectionados';
+$lang['Select uploadable categories'] = 'seleccionar los àlbumes autorizados a sumar';
+$lang['Virtual category added'] = 'Album virtual añadido';
+$lang['Virtual category deleted'] = 'Album virtual borrado';
+$lang['Category'] = 'Album';
+$lang['delete category'] = 'borrar el àlbum';
+$lang['dissociate from category'] = 'Separar del àlbum';
+$lang['edit category permissions'] = 'Modificar los permisos del àlbum';
+$lang['Category informations updated successfully.'] = 'Les informationes del àlbum se actualizaron con exito.';
+$lang['jump to category'] = 'Ir al àlbum';
+$lang['manage category elements'] = 'Administrar los élémentos del àlbum';
+$lang['manage sub-categories'] = 'Administrar los sub-àlbumes';
+$lang['sub-categories'] = 'sub-àlbumes';
+$lang['Categories management'] = 'Gestion de los àlbumes';
+$lang['Edit a category'] = 'Modificar un àlbum';
+$lang['Update categories informations'] = 'Actualizar las informaciones de los àlbumes';
+$lang['reduce to single existing categories'] = 'Traitar solo un àlbum';
+$lang['display maximum informations (added categories and elements, deleted categories and elements)'] = 'Monstrar todas las informaciones (àlbumes añadidos, fotos añadidas, àlbumes y fotos borrados)';
+$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'Cada foto necesita une miniatura. La miniature debe estar presente en el sub-repertorio \"thumbnail\" del répertorio del àlbum. El nombre del archivo de la  miniatura debe empezar con el parametro de configuration \"prefix_thumbnail\" y la extension del nombre del archivo debe aparecer en esta lista :';
+$lang['categories deleted in the database'] = 'àlbumes borrados de la base de datos';
+$lang['categories added in the database'] = 'àlbumes añadidos a la base de datos';
+$lang['Virtual category'] = 'Album virtual';
+$lang['Files with same name in more than one physical category'] = 'Archivos con el mismo nombre en varios àlbumes physicos';
+$lang['[%s] Come to visit the category %s'] = '[%s] Visitar el àlbum %s';
+$lang['Come to discover the category:'] = 'Conocer el àlbum:';
+$lang['edit category informations'] = 'editar las informationes de este àlbum';
+$lang['No element in this category'] = 'Ningún élémento en este àlbum';
+$lang['Drop into category'] = 'Pegar en un àlbum';
+$lang['existing category'] = 'àlbum existante';
+$lang['create a new category'] = 'crear un àlbum nuevo';
+$lang['Category name'] = 'Nombre del àlbum';
+$lang['Category "%s" has been added'] = 'el àlbum "%s" esta añadido';
+$lang['Category "%s" now contains %d fotos'] = 'EL àlbum "%s" ahora lleva %d fotos';
+$lang['Categories ordered alphanumerically'] = 'Albums ordenados por orden alfabetico';
+$lang['Categories ordered alphanumerically reverse'] = 'Albums ordenados par ordre alfabetico inverso';
+$lang['%d category updated'] = '%d àlbum actualizado';
+$lang['%d categories updated'] = '%d àlbumes actualizados';
+$lang['Categories'] = 'Albums';
+$lang['Category'] = 'Album';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'El flujo RSS notifica los eventos de la galeria : fotos nuevas, àlbumes actualizados, nuevos comentarios usuario. Para utilizar con un lecteur de flujo RSS.';
+$lang['Expand all categories'] = 'Ver todos los àlbumes';
+$lang['shows images at the root of this category'] = 'monstrar las fotos a la raice de este àlbum';
+$lang['in this category'] = 'en este àlbum';
+$lang['in %d sub-category'] = 'en este %d sub-àlbum';
+$lang['in %d sub-categories'] = 'en estos %d sub-àlbumes';
+$lang['display all elements in all sub-categories'] = 'Ver todas las fotos de los abumes y sub-albumes';
+$lang['Recent categories'] = 'Albums récents';
+$lang['display recently updated categories'] = 'Ver los àlbumes recien creados o actualizados';
+$lang['Search in Categories'] = 'Buscar en los àlbumes';
+$lang['Search in subcategories'] = 'Buscar en los sub-àlbumes';
+$lang['set as category representative'] = 'Elegir como cabeza de este àlbum';
+$lang['Category: %s'] = 'Album : %s';
+$lang['Category results for'] = 'Résultados de los  àlbumes por';
+$lang['All sub-categories of private categories become private'] = 'Todos los sub-àlbumes de los àlbumes privados son privados';
+?>