Index: /extensions/photoWidget/CHANGELOG
===================================================================
--- /extensions/photoWidget/CHANGELOG	(revision 6849)
+++ /extensions/photoWidget/CHANGELOG	(revision 6850)
@@ -1,2 +1,10 @@
+photoWidget 0.2.1 - 2010-09-06
+================================
+* Add IT thanks to sergix
+* Add CZ thanks to webprostor-hosting
+* Bug fix : Flash animation didn't work when category used a permanink.
+* Update FSF address
+* Remove configuration when plugin is uninstalled.
+
 photoWidget 0.2.0 - 2010-04-04
 ================================
Index: /extensions/photoWidget/MANIFEST
===================================================================
--- /extensions/photoWidget/MANIFEST	(revision 6849)
+++ /extensions/photoWidget/MANIFEST	(revision 6850)
@@ -9,8 +9,24 @@
 photoWidget/main.inc.php
 photoWidget/default_values.inc.php
+photoWidget/language/fr_FR/index.php
 photoWidget/language/fr_FR/description.txt
 photoWidget/language/fr_FR/plugin.lang.php
+photoWidget/language/de_DE/index.php
+photoWidget/language/de_DE/description.txt
+photoWidget/language/de_DE/plugin.lang.php
+photoWidget/language/templates/index.php
 photoWidget/language/templates/plugin.lang.php
+photoWidget/language/en_UK/index.php
+photoWidget/language/en_UK/description.txt
 photoWidget/language/en_UK/plugin.lang.php
+photoWidget/language/it_IT/index.php
+photoWidget/language/it_IT/description.txt
+photoWidget/language/it_IT/plugin.lang.php
+photoWidget/language/es_ES/index.php
+photoWidget/language/es_ES/description.txt
+photoWidget/language/es_ES/plugin.lang.php
+photoWidget/language/cs_CZ/index.php
+photoWidget/language/cs_CZ/description.txt
+photoWidget/language/cs_CZ/plugin.lang.php
 photoWidget/CHANGELOG
 photoWidget/modele
Index: /extensions/photoWidget/admin.php
===================================================================
--- /extensions/photoWidget/admin.php	(revision 6849)
+++ /extensions/photoWidget/admin.php	(revision 6850)
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/default_values.inc.php
===================================================================
--- /extensions/photoWidget/default_values.inc.php	(revision 6849)
+++ /extensions/photoWidget/default_values.inc.php	(revision 6850)
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/include/photoWidgetConfig.class.php
===================================================================
--- /extensions/photoWidget/include/photoWidgetConfig.class.php	(revision 6849)
+++ /extensions/photoWidget/include/photoWidgetConfig.class.php	(revision 6850)
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/include/photoWidgetContent.class.php
===================================================================
--- /extensions/photoWidget/include/photoWidgetContent.class.php	(revision 6849)
+++ /extensions/photoWidget/include/photoWidgetContent.class.php	(revision 6850)
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 
@@ -27,6 +27,6 @@
     $this->plugin_config = $config;
 
-    $this->fmt_xml = make_index_url() . '/category/%d/pw.xml';
-    $xml_pattern = '`category/(\d*)/pw\.xml$`';
+    $this->fmt_xml = make_index_url() . '/category/%s/pw.xml';
+    $xml_pattern = '`category/([^/]*)/pw\.xml$`';
     
     if (preg_match($xml_pattern, $_SERVER['QUERY_STRING'], $matches)) {
@@ -71,5 +71,9 @@
 
     $template->set_filename('index_thumbnails', PW_TEMPLATE . '/animation.tpl');
-    $template->assign('PW_XML', sprintf($this->fmt_xml, $page['category']['id']));
+    if (!empty($page['category']['permalink'])) {
+      $template->assign('PW_XML', sprintf($this->fmt_xml, $page['category']['permalink']));
+    } else {
+      $template->assign('PW_XML', sprintf($this->fmt_xml, $page['category']['id']));
+    }
     $template->assign('PW_BGCOLOR', $this->plugin_config->pw_bgcolor);
     $template->assign('PW_WIDTH', $this->plugin_config->pw_width);
Index: /extensions/photoWidget/init.php
===================================================================
--- /extensions/photoWidget/init.php	(revision 6849)
+++ /extensions/photoWidget/init.php	(revision 6850)
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/cs_CZ/index.php
===================================================================
--- /extensions/photoWidget/language/cs_CZ/index.php	(revision 6849)
+++ /extensions/photoWidget/language/cs_CZ/index.php	(revision 6850)
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/cs_CZ/plugin.lang.php	(revision 6849)
+++ /extensions/photoWidget/language/cs_CZ/plugin.lang.php	(revision 6850)
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/de_DE/index.php
===================================================================
--- /extensions/photoWidget/language/de_DE/index.php	(revision 6849)
+++ /extensions/photoWidget/language/de_DE/index.php	(revision 6850)
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/de_DE/plugin.lang.php	(revision 6849)
+++ /extensions/photoWidget/language/de_DE/plugin.lang.php	(revision 6850)
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/en_UK/index.php
===================================================================
--- /extensions/photoWidget/language/en_UK/index.php	(revision 6849)
+++ /extensions/photoWidget/language/en_UK/index.php	(revision 6850)
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/en_UK/plugin.lang.php	(revision 6849)
+++ /extensions/photoWidget/language/en_UK/plugin.lang.php	(revision 6850)
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/es_ES/index.php
===================================================================
--- /extensions/photoWidget/language/es_ES/index.php	(revision 6849)
+++ /extensions/photoWidget/language/es_ES/index.php	(revision 6850)
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/es_ES/plugin.lang.php	(revision 6849)
+++ /extensions/photoWidget/language/es_ES/plugin.lang.php	(revision 6850)
@@ -17,6 +17,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/fr_FR/index.php
===================================================================
--- /extensions/photoWidget/language/fr_FR/index.php	(revision 6849)
+++ /extensions/photoWidget/language/fr_FR/index.php	(revision 6850)
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/fr_FR/plugin.lang.php	(revision 6849)
+++ /extensions/photoWidget/language/fr_FR/plugin.lang.php	(revision 6850)
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/it_IT/index.php
===================================================================
--- /extensions/photoWidget/language/it_IT/index.php	(revision 6849)
+++ /extensions/photoWidget/language/it_IT/index.php	(revision 6850)
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/it_IT/plugin.lang.php	(revision 6849)
+++ /extensions/photoWidget/language/it_IT/plugin.lang.php	(revision 6850)
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/templates/index.php
===================================================================
--- /extensions/photoWidget/language/templates/index.php	(revision 6850)
+++ /extensions/photoWidget/language/templates/index.php	(revision 6850)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/photoWidget/language/templates/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/templates/plugin.lang.php	(revision 6849)
+++ /extensions/photoWidget/language/templates/plugin.lang.php	(revision 6850)
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/main.inc.php
===================================================================
--- /extensions/photoWidget/main.inc.php	(revision 6849)
+++ /extensions/photoWidget/main.inc.php	(revision 6850)
@@ -16,11 +16,11 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 
 /*
 Plugin Name: photoWidget
-Version: 0.2.0
+Version: 0.2.1
 Description: add an amazing 3D animation for pictures
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=370
Index: /extensions/photoWidget/maintain.inc.php
===================================================================
--- /extensions/photoWidget/maintain.inc.php	(revision 6849)
+++ /extensions/photoWidget/maintain.inc.php	(revision 6850)
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 
@@ -34,4 +34,7 @@
 
 function plugin_uninstall($plugin_id) {
+  $config_file = $GLOBALS['conf']['local_data_dir'].'/plugins/';
+  $config_file .= basename(dirname(__FILE__)).'.dat';
+  unlink($config_file);
 }
 ?>
Index: /extensions/photoWidget/public.php
===================================================================
--- /extensions/photoWidget/public.php	(revision 6849)
+++ /extensions/photoWidget/public.php	(revision 6850)
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 