Index: extensions/pwgCumulus/CHANGELOG
===================================================================
--- extensions/pwgCumulus/CHANGELOG	(revision 6749)
+++ extensions/pwgCumulus/CHANGELOG	(revision 6851)
@@ -1,2 +1,8 @@
+pwgCumulus 0.4.6 - 2010-09-06
+================================
+* Add hr_HR thanks to LuxZg
+* Remove configuration when plugin is uninstalled.
+* Add indexes in languages directories.
+
 pwgCumulus 0.4.5 - 2010-05-31
 ================================
Index: extensions/pwgCumulus/MANIFEST
===================================================================
--- extensions/pwgCumulus/MANIFEST	(revision 6749)
+++ extensions/pwgCumulus/MANIFEST	(revision 6851)
@@ -10,13 +10,24 @@
 pwgCumulus/main.inc.php
 pwgCumulus/default_values.inc.php
+pwgCumulus/language/fr_FR/index.php
 pwgCumulus/language/fr_FR/description.txt
 pwgCumulus/language/fr_FR/plugin.lang.php
+pwgCumulus/language/hr_HR/index.php
+pwgCumulus/language/hr_HR/description.txt
+pwgCumulus/language/hr_HR/plugin.lang.php
+pwgCumulus/language/de_DE/index.php
 pwgCumulus/language/de_DE/plugin.lang.php
+pwgCumulus/language/templates/index.php
 pwgCumulus/language/templates/plugin.lang.php
+pwgCumulus/language/en_UK/index.php
+pwgCumulus/language/en_UK/description.txt
 pwgCumulus/language/en_UK/plugin.lang.php
+pwgCumulus/language/it_IT/index.php
 pwgCumulus/language/it_IT/description.txt
 pwgCumulus/language/it_IT/plugin.lang.php
+pwgCumulus/language/es_ES/index.php
 pwgCumulus/language/es_ES/description.txt
 pwgCumulus/language/es_ES/plugin.lang.php
+pwgCumulus/language/hu_HU/index.php
 pwgCumulus/language/hu_HU/description.txt
 pwgCumulus/language/hu_HU/plugin.lang.php
Index: extensions/pwgCumulus/language/de_DE/index.php
===================================================================
--- extensions/pwgCumulus/language/de_DE/index.php	(revision 6851)
+++ extensions/pwgCumulus/language/de_DE/index.php	(revision 6851)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/pwgCumulus/language/en_UK/index.php
===================================================================
--- extensions/pwgCumulus/language/en_UK/index.php	(revision 6851)
+++ extensions/pwgCumulus/language/en_UK/index.php	(revision 6851)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/pwgCumulus/language/es_ES/index.php
===================================================================
--- extensions/pwgCumulus/language/es_ES/index.php	(revision 6851)
+++ extensions/pwgCumulus/language/es_ES/index.php	(revision 6851)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/pwgCumulus/language/fr_FR/index.php
===================================================================
--- extensions/pwgCumulus/language/fr_FR/index.php	(revision 6851)
+++ extensions/pwgCumulus/language/fr_FR/index.php	(revision 6851)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/pwgCumulus/language/hr_HR/index.php
===================================================================
--- extensions/pwgCumulus/language/hr_HR/index.php	(revision 6851)
+++ extensions/pwgCumulus/language/hr_HR/index.php	(revision 6851)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/pwgCumulus/language/hu_HU/index.php
===================================================================
--- extensions/pwgCumulus/language/hu_HU/index.php	(revision 6851)
+++ extensions/pwgCumulus/language/hu_HU/index.php	(revision 6851)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/pwgCumulus/language/it_IT/index.php
===================================================================
--- extensions/pwgCumulus/language/it_IT/index.php	(revision 6851)
+++ extensions/pwgCumulus/language/it_IT/index.php	(revision 6851)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/pwgCumulus/language/templates/index.php
===================================================================
--- extensions/pwgCumulus/language/templates/index.php	(revision 6851)
+++ extensions/pwgCumulus/language/templates/index.php	(revision 6851)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/pwgCumulus/main.inc.php
===================================================================
--- extensions/pwgCumulus/main.inc.php	(revision 6749)
+++ extensions/pwgCumulus/main.inc.php	(revision 6851)
@@ -22,7 +22,7 @@
 /*
 Plugin Name: pwgCumulus
-Version: 0.4.5
+Version: 0.4.6
 Description: add an amazing tag cloud
-Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=263
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=263
 Author: nikrou
 Author URI: http://www.nikrou.net/
Index: extensions/pwgCumulus/maintain.inc.php
===================================================================
--- extensions/pwgCumulus/maintain.inc.php	(revision 6749)
+++ extensions/pwgCumulus/maintain.inc.php	(revision 6851)
@@ -34,4 +34,7 @@
 
 function plugin_uninstall($plugin_id) {
+  $config_file = $GLOBALS['conf']['local_data_dir'].'/plugins/';
+  $config_file .= basename(dirname(__FILE__)).'.dat';
+  unlink($config_file);
 }
 ?>