Index: /extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php	(revision 6871)
+++ /extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php	(revision 6872)
@@ -35,8 +35,4 @@
 Hinweis: Wenn der Benutzer erstellte Konto will Passwort zu ändern und Passwörter für die Benutzer Stärkung aktiv ist, wird es vorbehaltlich der Regel-Satz.';
 $lang['UAM_mailexcTitle'] = 'Ausschluss von Mail-Domänen';
-$lang['UAM_mailexcTitle_d'] = 'Standardmäßig akzeptiert Piwigo alle E-Mail-Adressen im Format xxx@yyy.zz. Durch die Aktivierung dieser Option können Sie auf bestimmte Domains im Format ausschließen: @[Domänenname].[Domain Extension].<br><br>
-Beispiele:<br>
-@hotmail.com -> Ausnahme-Adressen *@hotmail.com<br>
-@hotmail -> ohne alle Adressen *@hotmail *';
 $lang['UAM_infomailTitle'] = 'Informationen E-Mail an Benutzer';
 $lang['UAM_infomailTitle_d'] = 'Diese Option ermöglicht die Automatisierung Senden einer E-Mail-Informationen an einen Benutzer bei der Anmeldung oder bei Änderungen sein Passwort oder E-Mail-Adresse in ihrem Profil.<br><br>
@@ -183,3 +179,12 @@
 Bitte beachten Sie: Dieses Feature funktioniert nicht für alle registrierten Nutzer. Diejenigen mit &quot;admin&quot;, &quot;Webmaster&quot; oder &quot;Generic&quot; Status sind ausgeschlossen.';
 // --------- End: New or revised $lang ---- from version 2.15.6
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.7
+$lang['UAM_mailexcTitle_d'] = 'Standardmäßig akzeptiert Piwigo alle E-Mail-Adressen im Format xxx@yyy.zz. Durch die Aktivierung dieser Option können Sie auf bestimmte Domains im Format ausschließen: @[Domänenname].[Domain Extension].<br><br>
+Beispiele:<br>
+@hotmail.com -> Ausnahme-Adressen *@hotmail.com<br>
+@hotmail -> ohne alle Adressen *@hotmail *
+<br><br>
+<b style=&quot;color: red;&quot;>Die Beschlagnahme ist nur möglich nach Eintragung der Option in der aktivierten Position.</b>';
+// --------- End: New or revised $lang ---- from version 2.15.7
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 6871)
+++ /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 6872)
@@ -35,8 +35,4 @@
 Note: If the user account created wants to change password and strengthening passwords for users is active, it will be subject to the rule set.';
 $lang['UAM_mailexcTitle'] = 'Exclusion of mail domains';
-$lang['UAM_mailexcTitle_d'] = 'By default, Piwigo accepts all email addresses in the format xxx@yyy.zz. Enabling this option allows you to exclude certain domains in the format: @ [domain_name].[domain_extension].<br><br>
-Examples :<br>
-@hotmail.com -> excluding addresses *@hotmail.com<br>
-@hotmail -> excluding all addresses *@hotmail*';
 $lang['UAM_infomailTitle'] = 'Information email to user';
 $lang['UAM_infomailTitle_d'] = 'This option allows to automate sending an information email to a user when registering or when changes his password or email address in their profile.<br><br>
@@ -183,3 +179,12 @@
 Please note: This feature does not apply to all registered users. Those with &quot;admin&quot;, &quot;webmaster&quot; or &quot;generic&quot; status are excluded.';
 // --------- End: New or revised $lang ---- from version 2.15.6
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.7
+$lang['UAM_mailexcTitle_d'] = 'By default, Piwigo accepts all email addresses in the format xxx@yyy.zz. Enabling this option allows you to exclude certain domains in the format: @ [domain_name].[domain_extension].<br><br>
+Examples :<br>
+@hotmail.com -> excluding addresses *@hotmail.com<br>
+@hotmail -> excluding all addresses *@hotmail*
+<br><br>
+<b style=&quot;color: red;&quot;>The seizure is only possible after registration of the option in the activated position.</b>';
+// --------- End: New or revised $lang ---- from version 2.15.7
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/es_ES/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/es_ES/help/plugin.lang.php	(revision 6871)
+++ /extensions/NBC_UserAdvManager/trunk/language/es_ES/help/plugin.lang.php	(revision 6872)
@@ -35,8 +35,4 @@
 Nota: Si el  usuario de la cuenta  creada quiere cambiar la contraseña, y el fortalecimiento de las contraseñas de los usuarios está activo, la misma estará sujeta a la norma establecida.';
 $lang['UAM_mailexcTitle'] = 'Exclusión de dominios de correo electrónico';
-$lang['UAM_mailexcTitle_d'] = 'De forma predeterminada, Piwigo acepta todas las direcciones de correo electrónico en el  formato xxx@yyy.zz. Al habilitar esta opción le permite excluir ciertos dominios en el formato: @[nombreDeDominio].[Domain_extension].<br><br>
-Ejemplos :<br>
-@hotmail.com -> con exclusión de direcciones *@hotmail.com<br>
-@hotmail -> con exclusión de todas las direcciones de *@hotmail*';
 $lang['UAM_infomailTitle'] = 'Información por correo electrónico para el usuario';
 $lang['UAM_infomailTitle_d'] = 'Esta opción permite automatizar el envío de un correo electrónico y la información a un usuario cuando se registra o cuando cambie su contraseña o dirección de correo electrónico en su perfil.<br><br>
@@ -184,3 +180,12 @@
 Atención: Esta característica no se aplica a todos los usuarios registrados. Las personas con estados &quot;admin&quot;, &quot;webmaster&quot; o &quot;generic&quot; están excluidos.';
 // --------- End: New or revised $lang ---- from version 2.15.6
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.7
+$lang['UAM_mailexcTitle_d'] = 'De forma predeterminada, Piwigo acepta todas las direcciones de correo electrónico en el  formato xxx@yyy.zz. Al habilitar esta opción le permite excluir ciertos dominios en el formato: @[nombreDeDominio].[Domain_extension].<br><br>
+Ejemplos :<br>
+@hotmail.com -> con exclusión de direcciones *@hotmail.com<br>
+@hotmail -> con exclusión de todas las direcciones de *@hotmail*
+<br><br>
+<b style=&quot;color: red;&quot;>La convulsión sólo es posible tras el registro de la opción en la posición activada.</b>';
+// --------- End: New or revised $lang ---- from version 2.15.7
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 6871)
+++ /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 6872)
@@ -34,8 +34,4 @@
 A noter : Si l\'utilisateur du compte ainsi créé désire changer de mot de passe et que le renforcement des mots de passe pour les utilisateurs est actif, il sera soumis à la règle configurée.';
 $lang['UAM_mailexcTitle'] = 'Exclusion des domaines de messagerie';
-$lang['UAM_mailexcTitle_d'] = 'Par défaut, Piwigo accepte toutes les adresses de messagerie au format xxx@yyy.zz. L\'activation de cette option permet d\'exclure certains domaines selon le format : @[nom_du_domaine].[extension_du_domaine].<br><br>
-Exemples :<br>
-@hotmail.com -> exclusion des adresses *@hotmail.com<br>
-@hotmail -> exclusion de toutes les adresses *@hotmail*';
 $lang['UAM_infomailTitle'] = 'Email d\'information';
 $lang['UAM_infomailTitle_d'] = 'Cette option permet d\'automatiser l\'envoi d\'un email d\'information à un utilisateur lorsqu\'il s\'inscrit ou modifie son mot de passe ou son adresse de messagerie dans son profil.<br><br>
@@ -181,3 +177,12 @@
 A savoir: Cette fonction ne s\'applique pas à tous les utilisateurs déjà inscrits. Ceux disposant du status &quot;admin&quot;, &quot;webmaster&quot; ou &quot;generique&quot; sont exclus de la règle.';
 // --------- End: New or revised $lang ---- from version 2.15.6
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.7
+$lang['UAM_mailexcTitle_d'] = 'Par défaut, Piwigo accepte toutes les adresses de messagerie au format xxx@yyy.zz. L\'activation de cette option permet d\'exclure certains domaines selon le format : @[nom_du_domaine].[extension_du_domaine].<br><br>
+Exemples :<br>
+@hotmail.com -> exclusion des adresses *@hotmail.com<br>
+@hotmail -> exclusion de toutes les adresses *@hotmail*
+<br><br>
+<b style=&quot;color: red;&quot;>La saisie n\'est possible qu\'après enregistrement de l\'option en position activée.</b>';
+// --------- End: New or revised $lang ---- from version 2.15.7
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 6871)
+++ /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 6872)
@@ -35,8 +35,4 @@
 Nota: Se l\'account utente creato vuole cambiare la password e il rafforzamento password per gli utenti è attivo, sarà soggetta alla regola.';
 $lang['UAM_mailexcTitle'] = 'L\'esclusione Email domini';
-$lang['UAM_mailexcTitle_d'] = 'Per impostazione predefinita, PhpWebGallery accetta tutti gli indirizzi di posta elettronica nel xxx@yyy.zz formato. L\'attivazione di questa opzione consente di escludere determinati domini nel formato: @[nome_dominio].[Domain_extension].<br><br>
-Esempi :<br>
-@hotmail.com -> esclusi gli indirizzi *@hotmail.com<br>
-@hotmail -> escludendo tutti gli indirizzi *@hotmail*';
 $lang['UAM_infomailTitle'] = 'E-mail informazioni per l\'utente';
 $lang['UAM_infomailTitle_d'] = 'Questa opzione consente di automatizzare l\'invio di una e-mail le informazioni a un utente al momento della registrazione o quando cambia la sua password o indirizzo e-mail nel loro profilo.<br><br>
@@ -180,3 +176,12 @@
 Please note: This feature does not apply to all registered users. Those with &quot;admin&quot;, &quot;webmaster&quot; or &quot;generic&quot; status are excluded.';
 // --------- End: New or revised $lang ---- from version 2.15.6
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.7
+$lang['UAM_mailexcTitle_d'] = 'Per impostazione predefinita, PhpWebGallery accetta tutti gli indirizzi di posta elettronica nel xxx@yyy.zz formato. L\'attivazione di questa opzione consente di escludere determinati domini nel formato: @[nome_dominio].[Domain_extension].<br><br>
+Esempi :<br>
+@hotmail.com -> esclusi gli indirizzi *@hotmail.com<br>
+@hotmail -> escludendo tutti gli indirizzi *@hotmail*
+<br><br>
+<b style=&quot;color: red;&quot;>Il sequestro è possibile solo dopo la registrazione della facoltà in posizione attiva.</b>';
+// --------- End: New or revised $lang ---- from version 2.15.7
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/main.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/main.inc.php	(revision 6871)
+++ /extensions/NBC_UserAdvManager/trunk/main.inc.php	(revision 6872)
@@ -192,5 +192,5 @@
   }
   
-  if (script_basename() == 'admin' and isset($_GET['page']) and $_GET['page'] == 'user_list') /* not the same email variable if we are on users registration page or on admin's user registration page*/
+  if (script_basename() == 'admin' and isset($_GET['page']) and $_GET['page'] == 'user_list') /* not the same email variable if we are on users registration page or on admin's user registration page */
   {
   /* Email doblons check */